﻿using Syncfusion.Windows.Forms.Tools;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace TreeViewAdv_DataTable
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            this.treeViewAdv1.Dock = DockStyle.Fill;
            this.panel1.Controls.Add(treeViewAdv1);
            treeViewAdv1.Style = TreeStyle.Office2016Colorful;

            //Defines the Root Node
            treeViewAdv1.SelfRelationRootValue = "Root";

           
            dataTable2.Columns.Add("Place", typeof(string));
            dataTable2.Columns.Add("ParentID", typeof(string));
            dataTable2.Columns.Add("ChildID", typeof(string));

            dataTable2.Rows.Add("World", "Root", "1");
            dataTable2.Rows.Add("Australia", "1", "2");
            dataTable2.Rows.Add("China", "1", "3");
            dataTable2.Rows.Add("India", "1", "4");
            dataTable2.Rows.Add("America", "1", "5");
            dataTable2.Rows.Add("Europe", "1", "6");
            dataTable2.Rows.Add("Africa", "1", "7");
            dataTable2.Rows.Add("Melbourbe", "2", "8");
            dataTable2.Rows.Add("Sydney", "2", "9");
            dataTable2.Rows.Add( "Beijing", "3", "10");
            dataTable2.Rows.Add( "Chengdu", "3", "11");
            dataTable2.Rows.Add( "Mumbai", "4", "12");
            dataTable2.Rows.Add( "Delhi", "4", "13");
            dataTable2.Rows.Add( "New York", "5", "14");
            dataTable2.Rows.Add( "Washington", "5", "15");
            dataTable2.Rows.Add( "Rome", "6", "16");
            dataTable2.Rows.Add( "Berlin", "6", "17");
            dataTable2.Rows.Add( "Capetown", "7", "18");
            dataTable2.Rows.Add( "Durban", "7", "19");

            treeViewAdv1.DisplayMember = "Place";
            treeViewAdv1.ParentMember = "ParentID";
            treeViewAdv1.ChildMember = "ChildID";
            treeViewAdv1.DataSource = dataTable2;

        }

        TreeViewAdv treeViewAdv1 = new TreeViewAdv();
        DataTable dataTable2 = new DataTable("World");
    }
}
